Qwt User's Guide: QwtVectorFieldArrow Class Reference

Qwt User's Guide 6.3.0

Loading...
Searching...
No Matches
Public Member Functions | List of all members
QwtVectorFieldArrow Class Reference

`#include <qwt_vectorfield_symbol.h>`

Inheritance diagram for QwtVectorFieldArrow:

## Public Member Functions
| QwtVectorFieldArrow (qreal headWidth=6.0, qreal tailWidth=1.0)
| Constructor.
virtual | ~QwtVectorFieldArrow () override
| Destructor.
virtual void | setLength (qreal length) override
virtual qreal | length () const override
virtual void | paint (QPainter *) const override
| Draw the symbol/arrow.
Public Member Functions inherited from QwtVectorFieldSymbol
| QwtVectorFieldSymbol ()
| Constructor.
virtual | ~QwtVectorFieldSymbol ()
| Destructor.

## Detailed Description

Arrow implementation that draws a filled arrow with outline, using a triangular head of constant width.

Definition at line 61 of file qwt_vectorfield_symbol.h.

## Constructor & Destructor Documentation

## ◆ QwtVectorFieldArrow()

QwtVectorFieldArrow::QwtVectorFieldArrow | ( | qreal | headWidth = 6.0,
|  | qreal | tailWidth = 1.0 )

Constructor.

The length is initialized by headWidth + 4

Parameters

  headWidth | Width of the triangular head
  tailWidth | Width of the arrow tail

See also
  setLength()

Definition at line 74 of file qwt_vectorfield_symbol.cpp.

## ◆ ~QwtVectorFieldArrow()

QwtVectorFieldArrow::~QwtVectorFieldArrow | ( |  | ) |
| overridevirtual

Destructor.

Definition at line 80 of file qwt_vectorfield_symbol.cpp.

## Member Function Documentation

## ◆ length()

qreal QwtVectorFieldArrow::length | ( |  | ) | const
| overridevirtual

Returns
  length of the symbol/arrow

See also
  setLength()

Implements QwtVectorFieldSymbol.

Definition at line 90 of file qwt_vectorfield_symbol.cpp.

## ◆ paint()

void QwtVectorFieldArrow::paint | ( | QPainter * |  | ) | const
| overridevirtual

Draw the symbol/arrow.

Implements QwtVectorFieldSymbol.

Definition at line 95 of file qwt_vectorfield_symbol.cpp.

## ◆ setLength()

void QwtVectorFieldArrow::setLength | ( | qreal | length | ) |
| overridevirtual

Set the length of the symbol/arrow

See also
  length()

Implements QwtVectorFieldSymbol.

Definition at line 85 of file qwt_vectorfield_symbol.cpp.